IncomingDataQueue::SyncSourcesIterator(3)

NAME
IncomingDataQueue::SyncSourcesIterator - iterator through the list of synchronizations sources in this session

SYNOPSIS

#include <iqueue.h>

  Public Types

typedef std::forward_iterator_tag iterator_category
typedef SyncSource value_type
typedef std::ptrdiff_t difference_type
typedef const SyncSource * pointer
typedef const SyncSource & reference

  Public Member Functions

SyncSourcesIterator (SyncSourceLink *l=NULL)
SyncSourcesIterator (const SyncSourcesIterator &si)
reference operator* () const
pointer operator-> () const
SyncSourcesIterator & operator++ ()
SyncSourcesIterator operator++ (int)

  Friends

bool operator== (const SyncSourcesIterator &l, const SyncSourcesIterator &r)
bool operator!= (const SyncSourcesIterator &l, const SyncSourcesIterator &r)

Detailed Description

iterator through the list of synchronizations sources in this session

Examples
ccrtptest.cpp.

Member Typedef Documentation

  typedef std::ptrdiff_t IncomingDataQueue::SyncSourcesIterator::difference_type

  typedef std::forward_iterator_tag IncomingDataQueue::SyncSourcesIterator::iterator_category

  typedef const SyncSource* IncomingDataQueue::SyncSourcesIterator::pointer

  typedef const SyncSource& IncomingDataQueue::SyncSourcesIterator::reference

  typedef SyncSource IncomingDataQueue::SyncSourcesIterator::value_type

Constructor & Destructor Documentation

  IncomingDataQueue::SyncSourcesIterator::SyncSourcesIterator (SyncSourceLink * l = NULL) [inline]

  IncomingDataQueue::SyncSourcesIterator::SyncSourcesIterator (const SyncSourcesIterator & si) [inline]

Member Function Documentation

  reference IncomingDataQueue::SyncSourcesIterator::operator* () const [inline]

  SyncSourcesIterator & IncomingDataQueue::SyncSourcesIterator::operator++ () [inline]

  SyncSourcesIterator IncomingDataQueue::SyncSourcesIterator::operator++ (int) [inline]

  pointer IncomingDataQueue::SyncSourcesIterator::operator-> () const [inline]

Friends And Related Symbol Documentation

  bool operator!= (const SyncSourcesIterator & l, const SyncSourcesIterator & r) [friend]

  bool operator== (const SyncSourcesIterator & l, const SyncSourcesIterator & r) [friend]

Author

Generated automatically by Doxygen for ccRTP from the source code.